<?php
if( !defined( 'ADMIN_PAGE' ) )
  exit( 'Script by OpenSolution.org' );

require_once DIR_CORE.'notices-accepts-admin.php';

if( isset( $_POST['sContent'] ) ){
  $iNotice = saveNoticeAccept( $_POST );
  if( isset( $_POST['sOptionList'] ) )
    header( 'Location: '.$_SERVER['PHP_SELF'].'?p=noticesaccepts-list&sOption=save' );
  elseif( isset( $_POST['sOptionAddNew'] ) )
    header( 'Location: '.$_SERVER['PHP_SELF'].'?p=noticesaccepts-form&sOption=save' );
  else
    header( 'Location: '.$_SERVER['PHP_SELF'].'?p=noticesaccepts-form&sOption=save&iNotice='.$iNotice );
  exit;
}

if( isset( $iNotice ) && is_numeric( $iNotice ) ){
  $aData = throwNoticeAccept( $iNotice );
}

if( !isset( $aData['iNotice'] ) )
  $aData['iNotice'] = null;

$aSelectMenu['bOrders'] = true;
require_once DIR_TEMPLATES.'admin/_header.php'; // include headers
require_once DIR_TEMPLATES.'admin/_menu.php'; // include menu

if( isset( $sOption ) ){
  echo '<div id="msg">'.$lang['Operation_completed'].'</div>';
}

?>
<h1><?php echo ( isset( $_GET['iNotice'] ) && is_numeric( $_GET['iNotice'] ) ) ? $lang['Notices_acceptations_form'] : $lang['New_notices_acceptations']; ?></h1>

<form action="?p=<?php echo $p; ?>" method="post" id="mainForm">
  <fieldset id="type2">
    <input type="hidden" name="iNotice" value="<?php echo $aData['iNotice']; ?>" />
    <table cellspacing="1" class="mainTable" id="noticesAccepts">
      <thead>
        <tr class="save">
          <th colspan="2">
            <input type="submit" value="<?php echo $lang['save']; ?> &raquo;" name="sOption" />
            <input type="submit" value="<?php echo $lang['save_add_new']; ?> &raquo;" name="sOptionAddNew" />
            <input type="submit" value="<?php echo $lang['save_list']; ?> &raquo;" name="sOptionList" />
          </th>
        </tr>
      </thead>
      <tfoot>
        <tr class="save">
          <th colspan="2">
            <input type="submit" value="<?php echo $lang['save']; ?> &raquo;" name="sOption" />
            <input type="submit" value="<?php echo $lang['save_add_new']; ?> &raquo;" name="sOptionAddNew" />
            <input type="submit" value="<?php echo $lang['save_list']; ?> &raquo;" name="sOptionList" />
          </th>
        </tr>
      </tfoot>
      <tbody>
        <tr class="l0">
          <th>
            <label for="sContent"><?php echo $lang['Notice_acceptation_description']; ?> <span>(<?php echo $lang['required']; ?>)</span></label>
          </th>
          <td><input type="text" name="sContent" id="sContent" value="<?php if( isset( $aData['sContent'] ) ) echo $aData['sContent']; ?>" size="150" class="input" data-form-check="required" /><span>&nbsp;<?php echo( isset( $iNotice ) ? $lang['Notice_warning'] : null ); ?></span></td>
        </tr>
        <tr class="l1">
          <th><?php echo $lang['Position']; ?></th>
          <td><input type="text" name="iPosition" value="<?php echo isset( $aData['iPosition'] ) ? $aData['iPosition'] : 0; ?>" size="3" maxlength="3" class="input" tabindex="2" /></td>
        </tr>
        <tr class="l0">
          <th>
            <?php echo $lang['Required']; ?>
          </th>
          <td>
            <?php echo throwYesNoBox( 'iRequired', isset( $aData['iRequired'] ) ? $aData['iRequired'] : 1 ); ?>
          </td>
        </tr>
        <tr class="l1">
          <th>
            <?php echo $lang['Status']; ?>
          </th>
          <td>
            <?php echo throwYesNoBox( 'iStatus', isset( $aData['iStatus'] ) ? $aData['iStatus'] : 1 ); ?>
          </td>
        </tr>
      </tbody>
    </table>
  </fieldset>
</form>
<script type="text/javascript">
  <?php if( !isset( $aData['sContent'] ) ){ ?>
    AddOnload( function(){ gEBI( 'mainForm' ).sContent.focus( ); } );
  <?php } ?>
  $(function(){ $( "#mainForm" ).quickform(); });
</script>
<?php
require_once DIR_TEMPLATES.'admin/_footer.php'; // include footer
?>