<?php
/**
* List all notices in order form
* @return string
*/
function listNoticesAccepts( ){
  $content = null;
  $oFFS = FlatFilesSerialize::getInstance( );
  $aNoticesAccepts = $oFFS->getData( DB_NOTICES_ACCEPTS, true );
  
  if( isset( $aNoticesAccepts ) && is_array( $aNoticesAccepts ) && count( $aNoticesAccepts ) > 0 ){
    foreach( $aNoticesAccepts as $iNotice => $aNotice ){
      if( $aNotice['iStatus'] == 1 ){
        $content .= '<li><em><input type="checkbox" name="aNoticesAccepts['.$aNotice['iNotice'].']" id="iNoticeAccept'.$aNotice['iNotice'].'" value="1" '.( ( $aNotice['iRequired'] == 1 ) ? 'data-form-check="required" data-form-msg="'.$GLOBALS['lang']['You_have_to_fill'].$aNotice['sContent'].'"' : null ).'/></em><span><label for="iNoticeAccept'.$aNotice['iNotice'].'">'.$aNotice['sContent'].'</label></span></li>';
      }
    } // end foreach
  }

  if( isset( $content ) ){
    return '<ul id="noticesAccepts">'.$content.'</ul>';
  }
} // end function listNoticesAccepts

/**
* Check that notice is required
* @return bool
* @param array $aForm
*/
function checkNoticeAccepts( $aForm ){
  $oFFS = FlatFilesSerialize::getInstance( );
  $aNoticesAccepts = $oFFS->getData( DB_NOTICES_ACCEPTS, true );
  foreach( $aNoticesAccepts as $iNotice => $aNotice ){
    if( $aNotice['iRequired'] == 1 && $aNotice['iStatus'] == 1 && !isset( $aForm['aNoticesAccepts'][$iNotice] ) ){
      return false;
    }
  } // end foreach
  return true;
} // end function checkNoticeAccepts

/**
* 
* @return 
* @param 
*/
function fillAllAccepts( $aAccepts ){
  $oFFS = FlatFilesSerialize::getInstance( );
  $aNoticesAccepts = $oFFS->getData( DB_NOTICES_ACCEPTS, true );
  if( isset( $aNoticesAccepts ) && is_array( $aNoticesAccepts ) && count( $aNoticesAccepts ) > 0 ){
    foreach( $aNoticesAccepts as $iNotice => $aNotice ){
      if( $aNotice['iStatus'] == 1 )
        $aAccepts[$iNotice] = isset( $aAccepts[$iNotice] ) ? 1 : 0;
    } // end foreach
  }
  return $aAccepts;
} // end function fillAllAccepts
?>